# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.wiki.event.WikiEngineEvent
Modifier and Type
Constant Field
Value
`public static final int`
`INITIALIZED`
`0`
`public static final int`
`INITIALIZING`
`-1`
`public static final int`
`SHUTDOWN`
`1`
`public static final int`
`STOPPED`
`2`
org.apache.wiki.event.WikiEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ERROR`
`-99`
`public static final int`
`UNDEFINED`
`-98`
org.apache.wiki.event.WikiPageEvent
Modifier and Type
Constant Field
Value
`public static final int`
`PAGE_DELETE_REQUEST`
`26`
`public static final int`
`PAGE_DELETED`
`27`
`public static final int`
`PAGE_DELIVERED`
`25`
`public static final int`
`PAGE_LOCK`
`10`
`public static final int`
`PAGE_REINDEX`
`28`
`public static final int`
`PAGE_REQUESTED`
`24`
`public static final int`
`PAGE_UNLOCK`
`11`
`public static final int`
`POST_SAVE`
`22`
`public static final int`
`POST_SAVE_BEGIN`
`21`
`public static final int`
`POST_SAVE_END`
`23`
`public static final int`
`POST_TRANSLATE`
`16`
`public static final int`
`POST_TRANSLATE_BEGIN`
`15`
`public static final int`
`POST_TRANSLATE_END`
`17`
`public static final int`
`PRE_SAVE`
`19`
`public static final int`
`PRE_SAVE_BEGIN`
`18`
`public static final int`
`PRE_SAVE_END`
`20`
`public static final int`
`PRE_TRANSLATE`
`13`
`public static final int`
`PRE_TRANSLATE_BEGIN`
`12`
`public static final int`
`PRE_TRANSLATE_END`
`14`
org.apache.wiki.event.WikiPageRenameEvent
Modifier and Type
Constant Field
Value
`public static final int`
`PAGE_RENAMED`
`28`
org.apache.wiki.event.WikiSecurityEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ACCESS_ALLOWED`
`51`
`public static final int`
`ACCESS_DENIED`
`52`
`public static final int`
`GROUP_ADD`
`46`
`public static final int`
`GROUP_CLEAR_GROUPS`
`48`
`public static final int`
`GROUP_REMOVE`
`47`
`public static final int`
`LOGIN_ACCOUNT_EXPIRED`
`41`
`public static final int`
`LOGIN_ALERT`
`56`
`public static final int`
`LOGIN_ANONYMOUS`
`31`
`public static final int`
`LOGIN_ASSERTED`
`32`
`public static final int`
`LOGIN_AUTHENTICATED`
`40`
`public static final int`
`LOGIN_CREDENTIAL_EXPIRED`
`42`
`public static final int`
`LOGIN_FAILED`
`43`
`public static final int`
`LOGIN_INITIATED`
`30`
`public static final int`
`LOGOUT`
`44`
`public static final int`
`LOW_STORAGE`
`55`
`public static final int`
`PRINCIPAL_ADD`
`35`
`public static final int`
`PROFILE_NAME_CHANGED`
`54`
`public static final int`
`PROFILE_SAVE`
`53`
`public static final int`
`SESSION_EXPIRED`
`45`
org.apache.wiki.event.WorkflowEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ABORTED`
`50`
`public static final int`
`COMPLETED`
`40`
`public static final int`
`CREATED`
`0`
`public static final int`
`DQ_ADDITION`
`60`
`public static final int`
`DQ_DECIDE`
`80`
`public static final int`
`DQ_REASSIGN`
`90`
`public static final int`
`DQ_REMOVAL`
`70`
`public static final int`
`RUNNING`
`20`
`public static final int`
`STARTED`
`10`
`public static final int`
`WAITING`
`30`